Freevo Changelog
================

$Id: ChangeLog 11574 2009-05-26 16:36:58Z duncan $

 * Updated mplayer tv plug-in to CSEND_MPLAYER_CMD
Note
----
Items marked (X#nnnnnnn) have a tracker item see:
X is the category and #nnnnnnn is the tracker number.
(B)ugs             http://sourceforge.net/tracker/?group_id=46652&atid=446895
(F)eature requests http://sourceforge.net/tracker/?group_id=46652&atid=446898

svn co svn://svn.freevo.org/freevo/branches/rel-1/freevo freevo-1.9.x

== Release 1.9.0 (2009-05-26) ==
--------------------------------
svn co svn://svn.freevo.org/freevo/tags/REL-1_9_0/freevo freevo-1.9.0

 * '''Added support for Python-2.6'''
 * '''Removed support for Python-2.4'''
 * New audio icecast plug-in (F#2680204)
 * New audio shoutcast plug-in (F#2680192)
 * New convert_favorites_txt help to convert a favorites.txt to a favorites.pickle (F#2512372)
 * New skinable dialogs (F#2308911)
 * New "freevo cache" option --cropdetect to detect and add crop options to fxd files (F#2791887)
 * New rtorrent module to allow torrents to be downloaded from freevo (F#2580403)
 * New OSD dialog screen designer (F#2621369)
 * New screen-saver module, "life" (F#2371097)
 * New screen-saver module, "flames" (F#2376752)
 * New tv guide plug-in "categories" (F#2743961)
 * New zoneminder plug-in (F#2790321)
 * Updated autoshutdown plug-in to allow a configurable start-up delay (F#2784634)
 * Updated command plug-in to allow images to be specified in the fxd file (F#2778822)
 * Updated dvdbackup plug-in to allow the audio codec to be specified (F#2791303)
 * Updated encoding crop detection (F#2500046)
 * Updated encoding server uniquely identify different re-enoding of files (F#2489762)
 * Updated encoding server to run jobs as nice (F#2763076)
 * Updated French translation (F#2784895, F#2795784)
 * Updated ivtv_xine_tv plugin with a record menu screen, xine-ui patch required (F#2373921)
 * Updated play state dialogues with time elapsed / total time (F#2594055)
 * Updated recordings manager with 'Add to Favorites' and 'Search for more' (F#2661790)
 * Fixed alsamixer mute variable error (B#2497746)
 * Fixed busy not being removed correctly (B#1928513)
 * Fixed button bar pop-up menu paging in (B#2788067)
 * Fixed caching permission problems (B#2580201)
 * Fixed command plug-in that tried to read a non-existent log file (B#2486033)
 * Fixed cd_burn plug-in for spaces in directory names and location of temp files (B#2473568)
 * Fixed cd_burn plug-in auto-detection of writeable drives (B#2778925)
 * Fixed imdb returning XML numeric entities (B#2796344)
 * Fixed livepause error and backend server error (B#2788099)
 * Fixed OSD drawing of transparent text (B#2482964)
 * Fixed record client for changes to kaa.base (B#2721256)
 * Fixed record server automatic re-encoding (B#2482703,B#2458849)
 * Fixed record server timing problems (B#2692397)
 * Fixed recordings manager not to overwrite the fxd files (B#2688691)
 * Fixed rom_drives mounting problem for non-root users (B#2502039)
 * Fixed reencode video plug-in; incorrect calls to the encoding server (B#2483017)
 * Fixed skin info; infinite loop in video style 3 (B#2662476)
 * Fixed TV XML processing when the XML file does not have valid timezones (B#2550109)
 * Fixed video thumbnails to allow for flash music videos being too short (B#2663492)
 * Fixed wiimote plug-in config errors (B#2494315)

== Release 1.8.3 (2008-12-01) ==
--------------------------------

 * New last.fm radio player plug-in to use the latest API and GUI player (F#2371347)
 * New pygoom-2k4 module to fix memory bugs and conform to Python's modules (F#2371241)
 * New wikisubtitles video plug-in to get subtitles for videos (F#2147641)
 * Updated apple trailers (F#2089598)
 * Updated encoding server to name incomplete encodings with incomplete (F#2190016)
 * Updated encoding server replaced twisted with kaa rpc calls (F#2371436)
 * Updated French translation (F#2318587)
 * Updated Italian translation (F#2153010)
 * Updated geexbox skin with a new layout (F#1917603)
 * Updated livepause for IVTV devices (F#2343240)
 * Updated mouse support so that it is optional (F#2089306)
 * Updated mplayer tv plug-in to have the event TV_SEND_MPLAYER_CMD (F#2298515)
 * Updated OSD with alpha-blending dialog (F#2255527)
 * Updated RTVE video plug-in to allow videos from the archive to be played (F#2104431)
 * Updated video autojoin behaviour to allow a regular expression to join the files (F#2372187)
 * Updated video podcast plug-in to support more feeds and reduce delays (F#2372071)
 * Updated webserver to support Cooliris RSS feed for images (F#2371410)
 * Updated youtube plug-in to allow standard and locale specific feeds (F#2099147)
 * Updated youtube plug-in to feed more than 25 videos (F#2115012)
 * Fixed automatic CD-ROM drive detection to ignore comments (B#2085387)
 * Fixed CD-ROM backup to support more than one drive (B#2371309)
 * Fixed encoding idlebar to be able to select a font (B#2187603)
 * Fixed headlines plug-in to ignore items without a title, etc. (B#2183225)
 * Fixed imdb helper to correctly handle dates when available (B#2075291)
 * Fixed imdb search when a season is specified but no episode (B#2214605)
 * Fixed joy plug-in to remove any pending events when enabled (B#1916407)
 * Fixed menu selecting methods using ENTER instead of SELECT (B#2214605)
 * Fixed mplayer crash when auto cropping is enabled (B#2089592)
 * Fixed mplayer when play list is enabled (B#2219657)
 * Fixed mplayer when playing a DVD ISO (B#2249030)
 * Fixed record server auto re-encode show title (B#2193796)
 * Fixed record server generic record module to allow a group_type to be given (B#2017200)
 * Fixed ROM drives mounting instead of umounting a disk, also umounts before an eject (B#2323270)
 * Fixed RSS feed crashing on invalid URLs or feeds it cannot handle (B#2372220)
 * Fixed RTVE video plug-in for changes to the web page (B#2196882)
 * Fixed setup to detect when Numeric is installed (B#2372089)
 * Fixed skin blurr's placement of media information (B#2371255)
 * Fixed tv recordings_manager crashing when deleting a recording (B#2138835)
 * Fixed video item having broken synlinks (B#2323234)
 * Fixed wiimote not detecting when the remote has been switched off (B#2037944)

== Release 1.8.2 (2008-08-25) ==
--------------------------------

 * New speak plug-in (F#2030738)
 * New mplayer visualization plug-in for audio (F#2046827)
 * New video plug-in for streaming programs from rtve.es (F#2070045)
 * Updated livepause for graphic OSD for vlc (F#2028707)
 * Updated OSD for alhpa blending between screen updates (F#2052947)
 * Updated mplayer tv and video plug-ins to correct MPLAYER_VO_DEV_OPTS handling (B#1989738)
 * Updated mplayervis plug-in to be able to set the frame rate (F#2027953)
 * Fixed new arguments to mplayer for the video codec (B#2022949)
 * Fixed idlebar fonts for wide-screen TVs (B#1981503)
 * Fixed livepause plug-in to display OSD over fullscreen video in X11 (B#2031911)
 * Fixed tv channels to correctly process channel names (B#2022957)
 * Fixed tv mplayer plug-in to correctly handle DVB settings (B#2030591)

== Release 1.7.9 (2008-08-25) ==
--------------------------------

 * New mouse support for Freevo (F#2013847)
 * New tv plug-in to browse by genre (F#2031789)
 * New video Spanish information grabber, FilmAffinity for movies (F#2013250)
 * New video plug-in, fillscreen, to crop, scale and change monitor aspect for video items (F#2018044)
 * Updated freeboxtv to  be in the tv plug-ins (B#2022158)
 * Updated mplayer audio plug-in to show a pop-up when caching (F#2026124)
 * Updated mplayer to handle subtitle and audio cycling using the SUBTITLE and LANG events (F#2010109)
 * Updated recordings manager to improve its performance (F#2031616)
 * Fixed audio network items for mplayer plug-in (B#1972914)
 * Fixed audio scrobbler for protocol 1.2 (B#1967805)
 * Fixed audio last.fm typo (B#1981236)
 * Fixed image viewer to show the date and time of the picture (B#2022946)
 * Fixed IMDB to use new Plot (B#1982159)
 * Fixed OSD not to crash when viewing non-supported images (B#1989196)
 * Fixed OSD to always set the SDL_VIDEO_WINDOW_POS for the new pygame (B#2010111)
 * Fixed video item to show the rating instead of an expression (B#2027958)
 * Fixed webserver help plugins module to allow non-ascii characters (B#1983965)

== Release 1.8.1 (2008-05-26) ==
--------------------------------

 * New DVB/ATSC live pause plug-in (F#1927555)
 * New DVB/ATSC live pause plug-in video overlay (F#1927555)
 * New helper module (vg) to generate TV_VIDEO_GROUPS (analogue only) (F#1963294)
 * New webserver old media library module (from freevo-1.6) (F#1963299)
 * Updated French translation (F#1967346)
 * Updated Spanish translation (F#1971055)
 * Updated TV record post processing to automatically re-encode the recording (F#1944888)
 * Fixed command plug-in crashing when polling the event handler (B#1959045, B#1962010)
 * Fixed lastfm audio plug-in for changes to audioscrobbler webservices (B#1967805)
 * Fixed Wiimote plug-in for latest kaa SocketDispatcher changes (B#1941224)
 * Fixed TV guide exceptions (B#1958916)
 * Fixed TV guide Unicode errors (B#1962665)

== Release 1.7.8 (2008-05-26) ==
--------------------------------

 * New autostart plug-in to send events at start up (F#1966434)
 * New lcd plug-in (lcd2) (F#1910530)
 * New idlebar sensors plug-in (sensors2) (F#1953007)
 * New video menu plug-in to remove commercials (F#1920654)
 * New video plug-in to supply video information from xine (F#1929333)
 * New video wwitv plug-in for streaming TV from wwitv.com (F#1971765)
 * Updated audio albumtree plug-in with support for ogg files (F#1928509)
 * Updated fxd audio to allow radio tuner to be mixed with web radio (F#1962450)
 * Updated French moviecovers for additional search in the forum (F#1971466)
 * Updated French translation (F#1968240)
 * Updated headline plug-in to use feedparser and fixes entities (F#1968843)
 * Updated image viewer to allow a configuration variable of autostart (F#1929319)
 * Updated plugins helper to work with __init__.py modules (F#1930102)
 * Updated somafm with new stations (F#1954313)
 * Updated tv guide to jump to now at the end of watching TV (F#1965480)
 * Fixed audio coversearch plug-in for changed Amazon REST interface (B#1952372)
 * Fixed audio plug-in six mixer's event named (B#1966739)
 * Fixed encodingserver when video has a length of 'None' (B#1942301)
 * Fixed freevused for latest kaa changes (B#1941223)
 * Fixed "freevo cache --thumbnail --recursive" when path has spaces (B#1929635)
 * Fixed games crashing when there is no working joystick (B#1968114)
 * Fixed record client's find matches when title includes '().' (B#1955745)
 * Fixed rss server crashing on valid RSS feeds (B#1834529)
 * Fixed scrollable text widget when word is longer than line (B#1941573)
 * Fixed sensors idlebar plug-in to correctly detect the sensors directory (B#1951848)
 * Fixed skin "dark" causing a crash in the video menu (B#1966316)
 * Fixed tv mplayer plug-in channel change for DVB (B#1935542)

== Release 1.8.0 (2008-03-23) ==
--------------------------------

 * New ivtv_xine_tv plug-in to allow instant record, plus much more (F#1891595)
 * Updated record server and clients replacing Twisted with kaa.rpc (F#1923565)

== Release 1.7.7 (2008-03-23) ==
--------------------------------

 * New Polish translation (F#1919792)
 * New atlantice skin (F#1907139)
 * New DVD to disk back-up plug-in (F#1892278)
 * New PDA control with feedback client and upd plug-in (F#1890855)
 * New placement support when using xrandr (F#1869969)
 * Updated cdbackup plug-in to add the year from cddb (F#1907065)
 * Updated cd_burn plug-in to support play lists (F#1901175)
 * Updated dvbstreamer to allow the live pause to use a remote server (F#1915730)
 * Updated dvdbackup to allow customized menus (F#1890499)
 * Updated makelircrc helper to allow include files (F#1922045)
 * Updated playlist to process "#EXTINF" comments in m3u files (F#1890203)
 * Updated Russian translation (B#1889826)
 * Updated tv guide with scheduled to record and favorite icons (F#1886621)
 * Updated tv program to stop reporting that a program is over (F#1886568)
 * Updated xml tv epg to allow a time zone to be specified (F#1889376)
 * Updated youtube video plug-in to look up two links (F#1890214)
 * Fixed audio playlist when the end of the play list has been reached (B#1910749)
 * Fixed audio selection for avi video files with more than one audio (B#1911247)
 * Fixed audio selection for the first track for mkv and ogm video files (B#1890498)
 * Fixed audioscrobbler plug-in not sending songs to last.fm (B#1902461)
 * Fixed cdbackup plug-in to allow empty parameters (B#1889068)
 * Fixed ivtv_xine_tv plug-in encoding of OSD messages (B#1893373)
 * Fixed moviecovers plug-in proceeding when unzip is not installed (B#1903519)
 * Fixed main program to cause a crash when local_conf.py is invalid (B#1886624)
 * Fixed oneclick weather plug-in translation of 'at' to 'at a rate of' (B#1919537)
 * Fixed video alternative player being shown twice (B#1910529)
 * Fixed web servers encoding interface (B#1885914)
 * Fixed web servers image pop-up encoding (B#1895302)
 * Fixed web servers remote image locations (B#1900736)

== Release 1.7.6.1 (2008-02-05) ==
----------------------------------

 * Fixed config so that it does not crash freevo (B#1888107)

== Release 1.8.0rc2 (2008-02-03) ==
--------------------------------

 * New tv vlc live pause plug-in for DVB (F#1875427)
 * New wiimote input plug-in (F#1868785)

== Release 1.7.6 (2008-02-03) ==
--------------------------------

 * New audio MPD plug-in replacement (F#1865008)
 * New DirecTV plug-in to send to DirecTV receivers (F#1858775)
 * New flickr plug-in to see photo from www.flickr.com (F#1865290)
 * New Gentoo wake-up script in the contrib/gentoo directory (F#1884611)
 * New web-server modules to show guide channel and encoding_web (F#1864652)
 * New Youtube video plug-in (F#1864496)
 * Updated cdbackup plug-in with CD_RIP_FMT to set the encoding format (F#1857460)
 * Updated encoding server to save the output to ENCODINGSERVER_SAVE_DIR when set (F#1865522)
 * Updated itv plug-in for youtube video feeds (F#1868425)
 * Updated menu osd sounds for more sound events (F#1870321)
 * Updated mplayer audio plug-in to allow .asx play-lists (F#1884550)
 * Updated re-encode plug-in and encoding core with additional features (F#1868764)
 * Updated recordings manager plug-in to add thumbnail support (F#1857397)
 * Updated record server to default watched/keep status (F#1857395)
 * Updated skin code to wrap around when possible (F#1868478)
 * Updated shut down to allow single key confirmation (F#1857456)
 * Updated web server fileinfo module to display watched/keep status (F#1857392)
 * Updated web server suite (F#1883219)
 * Updated xine tv plug-in to show OSD messages (F#1861772)
 * Updated xine video plug-in to show OSD messages (F#1861770)
 * Deleted plug-in weather, moved to contrib/plugins (F#1863476)
 * Fixed apple trailers plug-in crashing (B#1861463)
 * Fixed audio play lists when the fxd file contains utf-8 characters (B#1865272)
 * Fixed audio play lists when the m3u file contains blank lines, absolute paths and urls (B#1872465)
 * Fixed audio cdbackup not showing the alert message when there is no data from freedb (B#1869928)
 * Fixed manual record tv plug-in to work in December (B#1858008)
 * Fixed oneclick weather plug-in to allow non-ascii location names (B#1856597)
 * Fixed play lists not handling absolute paths (B#1872465)
 * Fixed tv guide not scrolling to last channel from second channel (B#1858010)
 * Fixed web server favorites and edit_favorite to use name and duplicate detection (B#1857394)
 * Fixed web server file info not having an encoding header (B#1885751)
 * Fixed web server programme info having no content when the title has newlines (B#1885729)

== Release 1.8.0rc1 (2007-12-22) ==
--------------------------------

 * New changed the event and timer handling to use kaa notifier and kaa rpc
 * New webserver slimbox interface to media (F#1850404)
 * Updated French translation (F#1853455)
 * Updated mplayervis for pygoom-2k4 (F#1846493)

== Release 1.7.5 (2007-12-22) ==
--------------------------------

 * New Alsa mixer 2 plug-in (F#1832948)
 * New user events plug-in to run commands (F#1852190)
 * New French DVD trailer grabber (F#1841775)
 * New French movie cover grabber (F#1841768)
 * New gphoto plug-in, in contrib/runtime (F#1838260)
 * New pygoom module for goom-2k4, in contrib/runtime (F#1846492)
 * New somafm web radio fxd file and images added (F#1845786)
 * New six channel mixer and idlebar plug-in (F#1833749)
 * Updated Afrikaans translation (F#1855060)
 * Updated French translation (F#1832751,F#1853454)
 * Updated idlebar weather plug-in not to block the main loop (F#1821809)
 * Updated mediainfo to stop caching of hidden directories (F#1849569)
 * Updated mplayer to allow the volume events to passed over and shown (F#1834486)
 * Updated webserver media library (F#1835346)
 * Deleted plug-in audio.mplayervbr (F#1848097)
 * Deleted tv.program_display (F#1853488)
 * Renamed plug-in audio.playlist to audio.playlists (B#1834140)
 * Fixed audioitem not displaying the year as a result of new metadata code (B#1838167)
 * Fixed audiodiskitem not playing a cd when inserted (B#1830000)
 * Fixed audioscrobbler killing the auto shut down feature (F#1831371)
 * Fixed evdev for 64bit machines (B#1853790)
 * Fixed geexbox skin TV menu reporting record server status (B#1835256)
 * Fixed helper plugins, not allowing tuples as arguments (B#1832837)
 * Fixed itv plug-in, having "No player for this item found" (B#1833018,B#1833829)
 * Fixed lastfm plug-in path using /tmp to use FREEVO_CACHEDIR (B#1834488)
 * Fixed oneclick weather plug-in not handling bad icon data (B#1834275)
 * Fixed webserver hard coded file path in webconfig (B#1832875,F#1837395)
 * Fixed webserver media library opening images with a '&' in the name (B#1835322)
 * Fixed webserver plugins modules having the incorrect import (B#1835454)

== Release 1.7.4 (2007-11-15) ==
--------------------------------

 * New Afrikaans translation (F#1790781)
 * New Romanian translation (F#1809393)
 * Updated Dutch translation (B#1766337)
 * Updated German translation (F#1770195,F#1830634)
 * Updated Italian translation (F#1829980)
 * Updated Spanish translation (F#1821771,F#1824931)
 * New DVB streamer plug-in, allows pausing and recording DVB/ATSC streams (F#1720288)
 * New eject CD-ROM plug-in, adding a menu item to the drive menu (F#1773418)
 * New fxd archive plug-in (F#1826280)
 * New internet TV plug-in (F#1811634)
 * New lastfm menu plug-in (F#1792494)
 * New mplayer aspect plug-in to force the aspect ratio (F#1825484)
 * New RSS audio podcast plug-in (F#1807634)
 * New RSS video podcast plug-in (F#1825640)
 * New text entry and program search (F#1768790)
 * New youtube plug-in for the webserver (F#1783643,F#1792819)
 * Updated ivtv_xine_tv plug-in for stop confirmation, progressive seek, video group selection and more (F#1814720)
 * Updated lyrics grabber for scrollable lyrics (F#1786313)
 * Updated LCD plug-in to allow a 16x4 mode (F#1776450)
 * Updated alsamixer with event args and synchronous mixer control (F#1767928)
 * Updated osd overscan to allow different margins for all sides (F#1791026,B#1813244)
 * Updated servers, record, web, etc. to allow Twosted-2.5 to be used (F#1640870)
 * Updated shopping cart plug-in at allow items to removed as well (F#1807315)
 * Updated submenu selection when there is only one action to execute the action (F#1774569)
 * Updated tv favorite handling and programme item to provide a consistent interface (F#1776909)
 * Updated video item to include the full description (F#1777187)
 * Fixed audio plug-in albumtree navigating back to the main menu (B#1798462)
 * Fixed music causing a crash when the directory has non-ascii characters and an image (B#1801929)
 * Fixed cd-rom drives eject causing a crash (B#1775892)
 * Fixed df plug-in crashing when totalspace is zero (B#1812877)
 * Fixed favorite crashing because of duplicate detection flag (B#1778494,B#1777726)
 * Fixed matching favorites, by initially restricting the search (B#1776072)
 * Fixed mixer plug-ins to allow a configurable volume step size (B#1813088)
 * Fixed recordserver sometimes corrupting the record schedule (B#1827184)
 * Fixed screensaver crashing after a long run when an event is read (B#1778894)
 * Fixed tvmenu crashing because of the search plug-in (B#1774544)
 * Fixed video thumbnail not creating an image (B#1827182)

== Release 1.7.3 (2007-08-01) ==
--------------------------------

 * New Chinese translation (F#1752417)
 * New Greek translation (F#1764757)
 * Updated French translation (F#1762163)
 * Updated Spanish translation (F#1764193)
 * Added personal web pages to the webserver, using PERSONAL_WWW_PAGE (F#1729595)
 * Added audio scrobbler plug-in for last fm (F#1760242)
 * Added lyrics grabber to display the lyrics (F#1762610)
 * Added sounds to menu selection, enabled with OSD_SOUNDS_ENABLED (F#1732380)
 * Added XINE_BOOKMARK for when xine has support for get_time, default is off (B#1745076)
 * Updated childapp to use subprocess instead of popen (F#1729597)
 * Updated freevo to allow X server options to be passed when using -fs (F#1749908)
 * Updated headlines to allow the window to be scrolled (F#1752971)
 * Updated local_conf.py.example with MPLAYER_HAS_FIELD_DOMINANCE (F#1729404)
 * Updated mplayer to allow av sync to be adjusted during playback (F#1762273)
 * Updated record_client to allow favorites to be added from the command line (F#1734781)
 * Updated recordings manager to show full scrollable description (F#1759171)
 * Updated skins to adjust the window heights when the button bar is active (F#1733061)
 * Updated system sensors for a configurable path (B#1731892)
 * Updated tv programme menu to show full description (F#1752973)
 * Updated xine video plug-in to allow bookmarks to work (F#1729024)
 * Updated xine video plug-in to process stdout and stderr message (F#1729603)
 * Updated xmltv's use of element tree for Python-2.5 (F#1731775)
 * Fixed apple trailers after web site update (B#1762274)
 * Fixed audio channel selection for AVI files, when no id is present (B#1731232)
 * Fixed autoshutdown when the record server is running remotely (B#1721638)
 * Fixed button bar raising an exception when using colour actions (B#1732378)
 * Fixed CD cover image search because of changes to Amazon developer services (B#1731835)
 * Fixed fxd parser's setattr not working correctly in all cases (B#1728421)
 * Fixed imdb search sometimes crashing and not returning the names (B#1749945)
 * Fixed Panorama skin thumbnail (B#1731877)
 * Fixed recordings manager not deleting old video when the disk is full (B#1728182)
 * Fixed recordings manager changing the menu context (B#1741842)
 * Fixed recordserver causing stack traces when the record_schedule.xml is empty (B#1733192)
 * Fixed rom drive plug-in when the cd device cannot be opened (B#1746613)
 * Fixed shopping cart to allow copying over existing read-only files (B#1738914)
 * Fixed tv recordings manager not deleting files when out of space (B#1728182)
 * Fixed unicoding errors for media ids when there are Unicode (F#1731825)

== Release 1.7.2 (2007-05-26) ==
--------------------------------

 * Added remind main menu plug-in that calls remind showing calendar events (F#1726070)
 * Added remindicon idlebar plug-in that calls remind showing calendar events (F#1726069)
 * Updated Catalan translation (F#1709740)
 * Updated French translation (B#1721805)
 * Updated Spanish translation (B#1722301)
 * Updated audio detached player to allow user configured event (F#1636457)
 * Updated image viewer to exclude certain types of images be a regex (F#1719613)
 * Updated mplayer to allow multiple crop points (F#1712397)
 * Updated mplayer to allow previous channel selection (F#1720667)
 * Updated recordserver to allow a tolerance for a favorite (F#1725823)
 * Updated vlc plug-in for better integration in freevo (F#1721808)
 * Fixed alsamixer choose mute control (B#1717659)
 * Fixed CD burn plug-in's incorrect internationalization strings (B#1722295)
 * Fixed directory listing crash when permission is denied (B#1715447)
 * Fixed freevused mute mixer event name has changed (B#1717661)
 * Fixed imdb plug-in to correct episode number format (B#1716131)
 * Fixed mplayer plug-ins not resetting the audio before each track (F#1718436)
 * Fixed play lists to skip directories with a .password file for recursive play (B#1715447)
 * Fixed record manager not updating the keep/watched states (B#1725041)
 * Fixed recordserver failing to record consecutive shows (B#1715260)
 * Fixed recursive playing of password protected directories (B#1715447)
 * Fixed rss feed not correctly writing the fxd file (B#1710553)
 * Fixed rss feed to correctly process the URLs (B#1721637)
 * Fixed USB storage devices causing crash when plugged in or removed (B#1722590)
 * Fixed weather plug-in for changed URLs (B#1717788,B#1717660)
 * Fixed xine playing DVDs that are on the hard disk in VIDEO_TS (B#1724489)
 * Fixed XvMC handling to allow configuration option (B#1713801)

== Release 1.7.1 (2007-04-29) ==
--------------------------------

 * Added ALSA mixer plug-in (F#1685326)
 * Added Anamorphic widescreen "Panorama" skin (F#1669994)
 * Added MusicIP Mixer Plug-in (F#1676991)
 * Added progactive idlebar plug-in (F#1689358)
 * Added TV recording manager (F#1672003)
 * Added VIDEO_SEND_XINE_CMD event to send specific commands to xine (F#1683699)
 * Updated and fixed German translations (B#1672040)
 * Updated and fixed video selection of audio, subtitles and chapters (B#1677364)
 * Updated IMDB download to extract season and episode from TV programmes (F#1683101)
 * Updated ivtv record to work with SECAM-DK (F#1694182)
 * Updated mplayer to allow the bottom field first and XvMC settings (F#1694186,F#1683423)
 * Updated rss feed for better URL detection (B#1675373,B#1709515)
 * Updated xine event handling to accept SEND_VIDEO_XINE_CMD (F#1683699)
 * Fixed audio item correctly processing files without media tags (B#1678392)
 * Fixed audio covers not working when a .directory file is on the path (B#1687649)
 * Fixed audio directory containing accented characters (B#1679595)
 * Fixed autoshutdown processing of return coded (B#1612257)
 * Fixed command plug-in for long running commands (B#1683533)
 * Fixed IMDB download, adds more data to fxd files (B#1670296)
 * Fixed IMDB download, corrected accented characters (B#1683040)
 * Fixed IMDB download, corrected handling of special characters (B#1682345)
 * Fixed lirc to suspend and resume correctly after external commands and games are run (B#1707338)
 * Fixed mplayer video plug-in not correctly selecting the audio and subtitle tracks (B#1677364)
 * Fixed radio player to prevent it starting when a recording is in progress (B#1707295)
 * Fixed screensaver intermittent deadlock problem (B#1674028)
 * Fixed screensaver never changing the screen saver (B#1704956)
 * Fixed tvguide showing too much debug information (B#1674014)
 * Fixed video item length (B#1683035)
 * Fixed video mplayer options for a combined video (B#1696110)

== Release 1.7.0 (2007-02-25) ==
--------------------------------

 * Replaced mmpython with kaa.base and kaa.metadata (F#1580712)
 * Replaced PIL with kaa.imlib2 (F#1580712)
 * New apple trailers plugin (disabled by default) (F#1580418)
 * New audio album tree http://freevo.sourceforge.net/cgi-bin/doc/PluginAudioAlbumTree (F#1662741)
 * New Bluetooth phone support to act as a remote control (F#1622143)
 * New buttonbar plug-in that displays buttons on the bottom of the screen (F#1633140)
 * New CD/DVD burn plug-in added (F#1605919)
 * New encoding server, allows re-encoding TV programmes and ripping DVDs (F#1580642,F#1578402)
 * New home automation plug-in, allows controlling device in the home! (F#1605293)
 * New Linux event device support (F#1579124)
 * New Music Player Daemon (mpd) plug-in (F#1623023)
 * New PS3 support on Yellow Dog Linux
 * New record server commercial detection and removal (F#1633567)
 * New RSS server, for getting podcasts, etc. (F#1580407)
 * New screensaver plug-in (F#1647485)
 * New Shuttle VFD plug-in (F#1619761)
 * New support for anamorphic skins (F#1625752)
 * New XM online plugin (F#1580412)
 * New weather helper to grab the weather using cron (F#1603052)
 * New webserver library, allows playing/viewing on your local machine (F#1592806)
 * New webserver remote, allows controlling freevo from a web page (F#1624110)
 * New video plug-in to play bilingual recordings (F#1582292)
 * Updated cdbackup plug-in to accept CD_RIP_CASE and CD_RIP_REPLACE_SPACE (F#1616046)
 * Updated directory configuration to allow disabling of smart abbreviated item names (F#1602952)
 * Updated idlebar clock plug-in to allow CLOCK_FORMAT to be used (F#1605951)
 * Updated idlebar diskfree plug-in to allow the bar colours levels to be set (F#1605953)
 * Updated DEBUGGING, IP, PORT, UID and GUI based on helper name (F#1580628)
 * Updated helper convert_config (F#1578183)
 * Updated imdb movie parsing to use BeautifulSoup (F#1590928)
 * Updated menu goto events to jump to the shutdown menu (F#1619725)
 * Updated multimail plug-in for Maildir support (F#1594915)
 * Updated recordserver to allow automatic deleting of old recordings when low on disk space (F#1594630)
 * Updated recordserver and tv guide to detect and show overlapping recordings (F#1625305)
 * Updated tv guide to show when programmes are currently playing (F#1626075)
 * Updated tv guide to show when programmes are in the past (F#1625774)
 * Updated tv mplayer plug-in to pause live tv and change channels without stopping for dvb (F#1610656)
 * Updated video player to allow commands before and after playback (F#1602956)
 * Updated weather translations, with spanish weather translations (F#1621819)
 * Updated webserver login to allow for a encrypted password (F#1623854)
 * Updated webradio to show the stream information (F#1587694)
 * Removed video plug-in mplayer for unichrome playback (B#1606699)


svn co svn://svn.freevo.org/freevo/branches/rel-1-6/freevo freevo-1.x

== Release 1.6.3 (2007-02-18) ==
--------------------------------

 * Fixed auto shutdown not calling the mount command (B#1632754)
 * Fixed manual record when month is December (B#1621615)
 * Fixed shopping cart for items with two or more subitems (B#1620425)
 * Fixed shopping cart for when copying directories (B#1645468)
 * Fixed video thumbnails not being shown with subitems (B#1620452)
 * Fixed video thumbnails not being shown for playlists (B#1623905)
 * Fixed webserver 'genre' module generated html (B#1622456)
 * Fixed webserver 'manual record' module not allowing day 31 (B#1622662)
 * Updated Catalan translation (F#1623286)

== Release 1.6.2 (2006-12-22) ==
--------------------------------

 * Fixed audio track name formatting (B#1605570,B#1605042)
 * Fixed autoshutdown unicode error (B#1612257)
 * Fixed cdbackup plug-in to correctly execute lame (B#1615970)
 * Fixed mplayer to correctly handle Matroska audio ids (B#1619058)
 * Fixed weather unicode problem (B#1612617)
 * Updated autoshutdown to react to the return code and removed unused vars (B#1612257)
 * Updated osd forced fonts variables and freevo_config and local_conf (B#1608393)
 * Updated Spanish translation (B#1612612)
 * Added the Russian translation (F#1602678)

== Release 1.6.1 (2006-11-25) ==
--------------------------------

 * Updated translations for new plug-ins and skins (F#1587980)
 * Fixed autoshutdown crashing when there are no scheduled recording (B#1597979)
 * Fixed cache problem when a play list file is corrupt (B#1589913)
 * Fixed detached music player when the plug-in mplayervis is enabled (B#1582048)
 * Fixed games creating rom list, removed errors being added to xml (B#1601281)
 * Fixed games when the zip is corrupt (B#1586106)
 * Fixed goto to tv menu, this was never in the original patch (B#1567501)
 * Fixed IMDB parser, the title should not work (B#1586579)
 * Fixed joystick repeated events after exit (B#1601309)
 * Fixed mplayer cropdetect, only skipping 60 secs (B#1591170)
 * Fixed osd when number of lines is less than zero (B#1601295)
 * Fixed recordserver in debug mode printing non-ascii characters (B#1594117)
 * Fixed weather download when visibility is empty (B#1591145)
 * Fixed webserver displaying non-ascii characters and nxtvepg xmltv (B#1594642)
 * Fixed VIDEO_INTERLACING = False having no effect (B#1586721)
 * Fixed xine --no-lirc option when compiled without lirc support (B#1589722)

== Release 1.6.0 (2006-10-31) ==
--------------------------------

 * New events to allow jump directly to menus, tv, movies, music and pictures (B#1567501)
 * New headlines and idlebar are enabled by default (F#1584197)
 * New multi-tuner support, to allow use of more than one tv card (F#1574282)
 * New plug-in for wakeup and shutdown (B#1567885)
 * New plug-in 'idlebar.diskfree' to show the available recording disk space (B#1567491)
 * New plug-in 'ivtv_xine_tv' to allow pausing of live tv (B#1566518)
 * New plug-in 'upsoon' interrupt tv or radio when a recording is about to start (F#1567895)
 * Added Catalan translation (F#1512162)
 * Added checks for prerequisite packages that were missing (B#1392996,B#1566374)
 * Added forcing of font and its size to override skin definitions (B#1563296,B#1563299)
 * Added Linux event device input handler (F#1579124)
 * Added initial image orientation is now read from EXIF tag (F#1573072)
 * Added many more skins to the freevo core package
 * Added patch to disable installation of documentation for rpm builds (B#1565074)
 * Added PLAY_START and STOP events for radio player (B#1567995)
 * Added Teletext subtitle recording plug-in for IVTV cards (F#1575146)
 * Updated audio player to allow control when detached, automatic detaching (B#1567939)
 * Updated df_xine is detected, use it for DVDs (B#1563026)
 * Updated freevo tv_grab to report a failure (B#1567705)
 * Updated generation of lircrc to allow more buttons to be detected (B#1567503)
 * Updated idlebar to split up the plug-ins to separate modules (F#1577109)
 * Updated LCDproc for 5.x series (B#1563153)
 * Updated lirc handling to suspend and resume correctly (B#1567499)
 * Updated menu for DVDs audio and subtitle tracks to use language name instead of code (B#1402649)
 * Updated MPlayer tv plug-in to pass MPLAYER_AO_DEV (B#1563334)
 * Updated playing games to disable the joystick plug-in (B#1566590)
 * Updated radio player to no longer required the code to be changed (B#1563361,B#1563944)
 * Updated radio player to allow other other players (F#1575225)
 * Updated record server to allow separate pre- and post-padding times (B#1567502)
 * Updated record server to ignore case of the title when scheduling a favorite (B#1574292)
 * Updated record server to correctly process non-ascii characters in a title (B#1574292)
 * Updated tv ivtv so that it will allow 2.6.18 and higher kernels, uses ivtv-0.8+
 * Updated tvtime with new play events (B#1563005)
 * Updated tv_util to use TV_RECORDFILE_OKLETTERS (B#1566067)
 * Updated video autocropping not to autocrop network steams (B#1576832)
 * Updated webserver so that it can run as a non-privileged user (B#1567943)
 * Updated xmltv to version 1.2 giving a significant increase in speed (B#1565080)
 * Fixed a mediamedia crash on non existent directory (B#1566584)
 * Fixed cacheing when xmame is installed and GAMES_ITEMS is not set (B#1567549)
 * Fixed cache scanning whole disk when an item is 'None' (B#1567549,B#1571008)
 * Fixed calls to lirc (B#1568113)
 * Fixed cancellation of recording during freevo schedulefavorites (B#1565077)
 * Fixed cdbackup plug-in when directory has a permission problem (B#1569162)
 * Fixed coversearch when a non-ascii character is in Artist or Album name (B#1565765)
 * Fixed detection of xmame version for new versions (B#1298350)
 * Fixed favorite item not causing a problem it mod time (B#1563359)
 * Fixed get mixer by name calls (B#1563365)
 * Fixed help for freevo cache (B#1577574)
 * Fixed idlebar clock display when using UTF-8 (B#1570917)
 * Fixed mplayer tv plug-in to close the ivtv device (B#1567494)
 * Fixed slide shows so that music does not crash between tracks (B#1563353)
 * Fixed usbstorage showing images in audio menu (B#1563010)
 * Fixed v4l2 ioctl calls for 64bit AMD machines (B#1563326)
 * Fixed recordserver missing favorites when the title has non-ascii characters (B#1574292)
 * Fixed recordserver missing favorites when the title case has changed (B#1563370)
 * Fixed webserver not crashing when there is a permissions problem (B#1577266)
 * Removed MPlayer and Xine version checks (B#1566373,B#1574273)
 * Removed -OO option from install (B#1565076)

== Release 1.5.3 (2005-01-23) ==
--------------------------------

 * Update to new IMDb website
 * Support for russian tv
 * Xine and mplayer post processing updates
 * Smaller enhancements, bugfixes and Unicode fixes

== Release 1.5.2 (2004-10-31) ==
--------------------------------

 * Fix memory leak when running image viewer in slideshow mode
 * Fix recordserver favorite handling for a specific day of week
 * Fix video aspect handling in skin
 * Smaller unicode fixes

== Release 1.5.1 (2004-09-11) ==
--------------------------------

 * Better support for multi file videos
 * Improved DVD detection
 * Faster web-server TV guide
 * Games snes header caching
 * Imageviewer slideshow enhancements
 * Bugfixes

== Release 1.5.0 (2004-07-17) ==
--------------------------------

 * Bugfixes

== Release 1.5.0-rc4 (2004-06-29) ==
------------------------------------
 * Better DVB support
 * Runtime support
 * Bugfixes and cleanup

== Release 1.5.0-rc3 (2004-06-06) ==
------------------------------------

 * Make it possible to move inside a zoom in image viewer
 * Main loop rewrite
 * Auto detect movies with more than one file
 * Chapter support for video files
 * Improved pot file generation (i18n)
 * Bugfixes

== Release 1.5.0-rc2 (2004-05-11) ==
------------------------------------

 * Remove a race condition to fix mp3 playback

== Release 1.5.0-rc1 (2004-05-07) ==
------------------------------------

 * Add new animation classes
 * pygoom support (http://freevo.sf.net/pygoom)
 * Support for DVD images as .iso
 * Bugfixes

== Release 1.5.0-pre1 (2004-03-21) ==
-------------------------------------

 * Add MimetypePlugin
 * New fxd parser and better fxd item handling
 * Rename most config variables (!)
 * Add "cross fading"-style blending in the image viewer
 * Fxd file support for <playlist> and <slideshow> (see share/fxd/examples)
 * Replaced webradio plugin with a fxd file (share/fxd)
 * New, reworked bluetooth plugin for controlling Freevo
 * detachbar plugin to see what Freevo is playing when detaching the audio player
 * Support for Rendezvous/Zeroconf based service announcement
 * Freevoscreensaver plugin. loop your favorite movie or slideshow to be
   your screensaver. And it only will show when in menus so no annoying
   savers popup while watching movies.
 * Update command plugin to allow for X users to run X based apps (Mozilla etc)
   via a FXD file.
 * big speed enhancement:
    * better caching of files/attributes
    * including mmpython cache inside Freevo
 * storage of item variables of Freevo sessions
 * VirtualFileSystem to store metadata
 * Skin enhancements
 * Support for DVD Mirrors (full lossless versions of DVDs played from the
   hard drive)
 * Reworked the web interface into XHTML with most design and layout in the
   style sheet. Removed proprietary HTML attributes.
 * Metadata generation during runtime and by cache helper
 * Unicode support
 * Better automounter support for network shares
 * many many other things

== Release 1.4.0 (2003-11-20) ==
--------------------------------

 * some small bugfixes
 * translation updates

== Release 1.4.0-rc4 (2003-11-10) ==
------------------------------------

 * Added testcode for viewing the Composite input on the TV card
  * Change src/tv/tvmenu.py:181 to enable it
 * Bugfix in the xine audio plugin
 * Support for mixed audio discs
 * more bugfixes
 * Translation updates for de

== Release 1.4.0-rc3 (2003-11-03) ==
------------------------------------

 * Bugfix release:
     Fix crash for playlists
     Prevent crash when storing folder.fxd
 * Add image for command plugin
 * Translation updates for da and nl

== Release 1.4.0-rc2 (2003-11-02) ==
------------------------------------

 * Added a playlist plugin
 * TvTime plugin redo:
     use new childthread
     writes tvtime.xml to keep in sync with freevo channels
     writes stationlist.xml to keep in sync with freevo channels
     merges stationlist.xml and tvtime.xml if they exist already
     set tvtime xml parameters if you have 0.9.10 or newer
     added support for custom tuned channels using FREQUENCY_TABLE
 * Additional translations: da, de, fi, it
 * Changed the Shutdown function to ask for confirmation first
 * Support for external plugins and themes
 * And as usual: bugfixes

== Release 1.4.0-rc1 (2003-10-05) ==
------------------------------------

 * changes in the directory structure
 * setup.py for normal python installation
 * i18n support: es, fr, nl, no, pt_BR, sv
 * new record server
 * idlebar plugin for lmsensors
 * Merged latest xmltv parsing support
 * Preliminary FreeBSD support from Lars Eggert
 * xine support for audio playback (needs xine-ui cvs)
 * Support for FLAC encoding, tagging and playback (xine or mplayer >= 1.0pre2)
 * Many fixes for Python 2.3 warnings
 * bugfixes and better error handling
 * new games system (DIR_GAMES changed!)

== Release 1.3.4 (2003-08-03) ==
--------------------------------

 * Fixed bug that causes some helper scripts like webserver to crash
 * Webradio is working again
 * Added BlueTooth control program into contrib/

== Release 1.3.3 (2003-08-02) ==
--------------------------------

 * Moved all metadata parsing into mmpython
 * Added CD->MP3 or CD->OGG Backup plugin from Rich C.
 * Initial database support for music via sqlite
 * Idlebar:
     Added holidays and Rom drive status plugins to idlebar
     Made it possible to arrage the idlebar plugins
     All skins now work with the idlebar
 * New info area
 * New skins 'info' and 'noia' which use the new info area
 * Major speed enhancements in the skin drawing code
 * Replaced fonts with Bitstream Vera fonts.
 * Xine support for DVD/VCD (dvdnav/vcdnav)
 * New LCD plugin
 * Support for Python 2.3
 * Bugfixes and many other things

== Release 1.3.2 (2003-06-29) ==
--------------------------------

 * Plugin interface
  * Converted some functions into plugins
  * detach plugin to listen to music in the background
  * IMDB search and XML generation plugin
  * Album cover search plugin
  * IMDB Info plugin
 * New skin engine
 * Reactivated and fixed GUI code
 * Bugfixes
 * Added experimental support for tvtime (>= 0.9.8.3) for TV viewing.
   tvtime supports Xvideo, directfb, and mga_vid with good deinterlacing,
   smoother picture, better audio sync, OSD and reduced CPU usage when
   compared to Mplayer for TV viewing.
 * Support for more formats in the Image Viewer
 * Daylight Saving Time fixes
 * Shout/Icecast playback/bookmarks
 * Preliminary TV Recording schedule editor
 * "Web" radio support
 * Major cleanup of old files in the source tree
  * Converted some very large PNG files into high quality JPEGs
  * Removed obsolete data
 * many other things :-)

== Release 1.3.2-pre2 ==
------------------------

 * Bugfixes:
  * CD/DVD autodetection
  * Games handling (fixed hang)
  * XMLTV format (stop time not present)
  * Image errors (fixed crash, display message about load problem instead)
  * MP3 time display
  * FreevoWeb channel selection when recording
  * Identify media now return correct titles again
  * Network access when using the runtime
  * TV recording bug
 * CD Audio playing (w. CDDB) by Thomas Schüppel
 * Use "freevo setup" instead of "./configure" to set up Freevo
 * New display mode for the image browser, with nice thumbnails etc
 * New display mode for the video browser
 * Added Joakim Berglunds patches for audio random lists off, extra cover dir
 * Changed the movie xml files to the new format by Matthieu Weber
 * Updated Belgian XMLTV program by Bart Heremans
 * Updated MPlayer to CVS200302132232
 * Changed remote control to use regular lirc files instead of special
   Freevo Python files.
 * Some Windows playlists can now be used if they have relative paths.
 * Various updates and fixes for the web interface.
 * Added CVS update to the latest alpha in the Makefile (cvsup)

== Release 1.3.1 (2003-02-12) ==
--------------------------------

 * The runtime and apps packages are now included in the binary release!
 * Fixed lots of bugs
 * TV recording
 * Added cache for mp3/ogg id tags
 * The menu will rebuild itself when you add/delete files in the directory
 * Added the autostarter again (insert a disc while you are in the main menu)
 * Replaced the icons
 * Moved a number of doc files to the Freevo Wiki.
 * Bins support (http://jsautret.free.fr/BINS/index.html)
 * Faster TV channel change
 * Added Thomas Schüppels objectcache patch.
 * Code cleanup / restructuring (xmms support dropped for now)
 * Speeded up the keyboard handling.
 * Changed keyboard volume +/- keys
 * Added small contributed XMLTV Python apps for Belgium and Netherlands.
 * The startscript freevo is less bash-ist
 * Web interface for recording (freevoweb)
 * Gentoo ebuild support
 * Autodetect CD/DVD drives
 * Made the config file handling smarter
 * Changed the default PCM volume level from 100 to 90 to avoid distortion

== Release 1.3.0 (2002-11-13) ==
--------------------------------

 * Added a font alias list in freevo_config to substitute missing non-free
    fonts in skins with free fonts.
 * Changed the TV guide to use Gustavo's new extended menus.
 * The XML skins can now include other skin files. This makes
  it easier to adapt skins to new screen sizes.
 * XML skins can now load a local_skin.xml for changes by the user.
 * Changed the "freevo" script so that it can be used to execute
  standalone python scripts, e.g. "freevo execute epg_xmltv.py"
 * Changed runapp to support priority settings of the new app,
  /usr/bin/nice is no longer needed.
 * Rewritten ID3v1 and new ID3v2.3/2.4 support
 * Added DXR3 support using SDL.
 * Changed the default skin to the new blue_round1 skin.
 * The image viewer now supports browsing CD/DVDs.
 * Added support for choosing audio track, etc in DVDs.
 * Movies can be played from URLs (LAN or the Internet).
 * Music playlists can contain videos and URLs too now.
  Both .m3u and .pls playlists are supported.
 * Made the shell scripts sh-compatible.
 * Added Bob Pauwe's image slideshow patches.

== Release 1.2.6 (2002-10-12) ==
--------------------------------

Features, bugfixes:
 * Fixed a bug for configuring TV for other than NTSC.
 * Added new RPM building specs from Wan Tat Chee in the contrib/ dir.
 * Added SDL as a display option to configure. Not tested!
 * Added joystick support code from Dan Eriksen. Not tested!
 * Fixed a bug in XML that could cause Freevo to crash.
 * Replaced all fonts with the free Larabie fonts.
 * Added a 640x480 mode.
 * Improved the handling of removable media (CDROM/DVD)
 * DVD/VCD/SVCD title selecting
 * MPlayer hwac3 support
 * Added Andrew Drummond's Mame code. Kinda works, but not done yet.
 * Updated the XMLTV handling to deal with the new German format as well.
 * Removed .mplayer feature for movie files. Please use <mplayer_options>
  in the movie xml files instead.
 * Movie xml files can now contain skin informations as well.
 * Skin improvements
 * Configure now checks for external programs
 * Bugfix for 8-bit chars in bitmap filenames by Alex Polite
 * Added Per Wigren's app for fetching Swedish and Norwegian TV listings
  in contrib/PerWigren. (The newer version of XMLTV also supports Swedish
  and Norwegian listings now.)
 * Added Per Wigren's patch for different TV stations on the same channel
  at different times of the week and/or day.
 * Added Alex Polite's patch for using XMMS for playing and visualizing
  music.
 * Added Alex Polite's patch for recursive playlists

== Release 1.2.5 (2002-08-21) ==
--------------------------------

Features, bugfixes:
 * Added SDL as the graphics layer, which means that X11 and
  all framebuffer devices are supported for the menu framework.
  Both X11 and FB supports both the keyboard and a remote control.
 * Added X11/Xv support for MPlayer, now most graphics cards can
  be used with Freevo, not just Matrox G400.
 * Integrated the MPlayer TV viewer for TV support on all graphics
  cards.
 * Integrated MPlayer as the main music player. It supports MP3, Ogg, WMV, etc.
 * Added much better XML skin support. The main menu background, text
  and icons can be easily be changed. There is also support for XML
  files with movie info etc. See Docs/Skin-HOWTO.txt for more details.
 * Added image display to main menu. JPEG/PNG are supported at
  the moment, more will be added later. Images can be rotated.
  Exif files (jpg with digital camera info) are supported, including
  thumbnails which are displayed when using the file browser.
 * Changed the installation to use a "configure" script
 * Added autogenerated random playlist to the MP3 player
 * Moved the DVD and VCD start item to the movie menu. Pressing EJECT will
  eject/mount the medium in the drive.
 * CDROM_MOUNT_POINT is deprecated now, use ROM_DRIVES to define all your drives
 * Added support for shutdown of Freevo from the main menu. This can also
  be configured to shutdown the entire system for standalone boxes, but it
  is disabled by default.

== Release 1.2.4 (2002-07-10) ==
--------------------------------

 * Fixed a problem where zombie (defunct) processes were created
 * Changed the osd_server/Makefile to use /usr/X11R6 instead of /usr/X11,
  seems to work for more distros
 * Changed mixer.py to use /dev/mixer instead of /dev/mixer0
 * Hide cursor in X11 OSD
 * Added simple skins
 * Display MP3 file and album PNG cover images and thumbnails
 * Automatic X11 mode switching
 * XMLTV support added (Yahoo support removed)
 * SDL output support
 * IMDB support (Images and extended info)
 * Channel logo support
 * Added min/sec display to music player
 * Added icons to default skin
 * Added PAL support
 * Fullscreen X support
 * Added the install.py script to check dependencies and compile Freevo
 * Changed logfile handling
 * Support for XML config files for each movie/album etc
 * Support for CD/DVD tray open/close and disk mounting

== Release 1.2.3 (2002-06-01) ==
--------------------------------

 * Fixed a big memory leak in the OSD server
 * Made the mp3 progress info more efficient

== Release 1.2.2 (2002-05-31) ==
--------------------------------

 * Added PNG bitmap support in the OSD
 * Added freetype font support in the OSD
 * Added transparency support in the OSD
 * Added a skins directory
 * Added a background bitmap to the main menu
 * Added <movie>.wmv file type to MPlayer
 * Fixed a bug in runapp.c
 * Updated the boot-scripts
 * Swapped MPlayer next/prev keys
 * Removed osd_server/osd_fb, moved files to osd_server
 * Cleaned up Makefiles, made x11 optional
 * Added loading a local_conf.py file where directory
  defs etc can be put so that it is easier to update
  freevo_config.py
 * Renamed osd_XXX servers osds_XXX

== Release 1.2.1 (2002-05-17) ==
--------------------------------

 * Changed the config scripts to look for the file config_freevo.py
  in /etc/freevo, ~/freevo and the current dir. This makes it easier
  to use a customized version that is not overwritten by new
  releases.
 * Removed fixed paths so that it should be able to run on most Linux systems,
  independently of where the applications are (/usr/bin, /usr/local/bin, etc).
 * Added a feature to playing movies where a file can be attached to each
  movie containing special arguments to MPlayer, e.g. aspect etc.
  The file is named <filename>.mplayer.
 * Added logging to both stdout and /tmp/freevo.log
 * Added freevo/testfiles, it is now the default in config.py and contains
  some movie/mp3 files for test purposes.
 * Changed movie/music playlists to not repeat after playing all files.
  This should be configurable when playing in a later version.
 * Changed remote control cursor left/right behavior in menus, making
  it easier to navigate.

== Release 1.2.0 (2002-05-12) ==
--------------------------------

 * Watching TV is enabled again, the Matrox G400 BES bug seems to be fixed.

== Release 1.1 (2002-05-10) ==
------------------------------

 * Moved mp3/movie suffix definitions to config.py
 * Watching TV is disabled at the moment, seems to be a bug in it.


== Release 1.0 (2002-05-08) ==
------------------------------
 * Initial release
